#include <iostream>
#include <algorithm>

const int N = 1100;
const int INF = (int)1e9 + 7;

int a[N], dp[N];

int main(void) {
	int n;
	scanf("%d", &n);
	for (int i = 0; i < n; ++i) {
		scanf("%d", &a[i]);
	}
	for (int i = 0; i < N; ++i) {
		dp[i] = INF;
	}
	dp[0] = a[0];
	for (int i = 1; i < n; ++i) {
		for (int j = i - 1; j >= std::max(i - 3, 0); --j) {
			dp[i] = std::min(dp[i], dp[j] + a[i]);
		}
	}
	printf("%d\n", dp[n - 1]);
	return 0;
}